> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Manual Job

> Check the status and outcome of a job by `job_id`. This includes all deductions jobs including those for both automated and assisted integrations.



## OpenAPI

````yaml get /jobs/manual/{job_id}
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Management
  - name: Sandbox
paths:
  /jobs/manual/{job_id}:
    parameters:
      - schema:
          type: string
        name: job_id
        in: path
        required: true
    get:
      tags:
        - Management
      summary: Retrieve a Manual Job
      description: >-
        Check the status and outcome of a job by `job_id`. This includes all
        deductions jobs including those for both automated and assisted
        integrations.
      operationId: get-jobs-manual-job_id
      parameters:
        - $ref: '#/components/parameters/API-Version'
        - $ref: '#/components/parameters/Content-Type'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManualAsyncJob'
              examples:
                Example 1:
                  value:
                    job_id: 497d98f3-580a-4ab9-830a-af2346d029b2
                    status: complete
                    body:
                      - individual_id: 430f9d95-1dcf-4b99-b616-45f814416890
                        code: 201
                        message: Successfully enrolled individual in benefit
                      - individual_id: 647975ac-1e0f-4e9c-b705-e3042da48581
                        code: 200
                        message: Successfully updated enrollment for individual
                      - individual_id: 4a0a3b15-d3d6-41c2-a4a4-ca4ed1b68cf8
                        code: 404
                        message: Individual not found
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  finch_code:
                    type: string
                  name:
                    type: string
                  message:
                    type: string
              examples:
                Example 1:
                  value:
                    code: 400
                    name: invalid_request_error
                    message: job_id is required
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  finch_code:
                    type: string
                  name:
                    type: string
                  message:
                    type: string
              examples:
                Example 1:
                  value:
                    code: 404
                    finch_code: item_not_found
                    name: not_found_error
                    message: >-
                      could not find job with id
                      '49142223-78e0-4092-80e1-313f510b0977'
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Finch from '@tryfinch/finch-api';

            const client = new Finch({
              accessToken: 'My Access Token',
            });

            const manualAsyncJob = await client.jobs.manual.retrieve('job_id');

            console.log(manualAsyncJob.job_id);
        - lang: Python
          source: |-
            from finch import Finch

            client = Finch(
                access_token="My Access Token",
            )
            manual_async_job = client.jobs.manual.retrieve(
                "job_id",
            )
            print(manual_async_job.job_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/Finch-API/finch-api-go\"\n\t\"github.com/Finch-API/finch-api-go/option\"\n)\n\nfunc main() {\n\tclient := finchgo.NewClient(\n\t\toption.WithAccessToken(\"My Access Token\"),\n\t)\n\tmanualAsyncJob, err := client.Jobs.Manual.Get(context.TODO(), \"job_id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", manualAsyncJob.JobID)\n}\n"
        - lang: Java
          source: |-
            package com.tryfinch.api.example;

            import com.tryfinch.api.client.FinchClient;
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
            import com.tryfinch.api.models.JobManualRetrieveParams;
            import com.tryfinch.api.models.ManualAsyncJob;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    FinchClient client = FinchOkHttpClient.builder()
                        .fromEnv()
                        .accessToken("My Access Token")
                        .build();

                    ManualAsyncJob manualAsyncJob = client.jobs().manual().retrieve("job_id");
                }
            }
        - lang: Kotlin
          source: |-
            package com.tryfinch.api.example

            import com.tryfinch.api.client.FinchClient
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient
            import com.tryfinch.api.models.JobManualRetrieveParams
            import com.tryfinch.api.models.ManualAsyncJob

            fun main() {
                val client: FinchClient = FinchOkHttpClient.builder()
                    .fromEnv()
                    .accessToken("My Access Token")
                    .build()

                val manualAsyncJob: ManualAsyncJob = client.jobs().manual().retrieve("job_id")
            }
        - lang: Ruby
          source: |-
            require "finch_api"

            finch = FinchAPI::Client.new(access_token: "My Access Token")

            manual_async_job = finch.jobs.manual.retrieve("job_id")

            puts(manual_async_job)
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
    Content-Type:
      name: Content-Type
      in: header
      required: true
      schema:
        type: string
        default: application/json
      description: 'Used to indicate the original media type of the resource '
  schemas:
    ManualAsyncJob:
      title: ManualAsyncJob
      type: object
      properties:
        job_id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - pending
            - in_progress
            - error
            - complete
        body:
          type: array
          description: >-
            Specific information about the job, such as individual statuses for
            batch jobs.
          nullable: true
          items:
            nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````